Summary:	X Render extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Render
Name:		xorg-lib-libXrender
Version:	0.9.11
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.xz
# Source0-md5:	ebf7fb3241ec03e8a3b2af72f03b4631
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel >= 1.6
BuildRequires:	xorg-proto-renderproto-devel >= 0.9
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xz
Requires:	xorg-lib-libX11 >= 1.6
Obsoletes:	XFree86-render < 4.4
Obsoletes:	libXrender < 0.9
Obsoletes:	xrender < 0.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Render extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Render.

%package devel
Summary:	Header files for libXrender library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXrender
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel >= 1.6
Requires:	xorg-proto-renderproto-devel >= 0.9
Obsoletes:	XFree86-render-devel < 4.4
Obsoletes:	libXrender-devel < 0.9
Obsoletes:	xrender-devel < 0.9

%description devel
X Render extension library.

This package contains the header files needed to develop programs that
use libXrender.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Render.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXrender.

%package static
Summary:	Static libXrender library
Summary(pl.UTF-8):	Biblioteka statyczna libXrender
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-render-static < 4.4
Obsoletes:	libXrender-static < 0.9
Obsoletes:	xrender-static < 0.9

%description static
X Render extension library.

This package contains the static libXrender library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Render.

Pakiet zawiera statyczną bibliotekę libXrender.

%prep
%setup -q -n libXrender-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXrender/libXrender.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXrender.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXrender.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/libXrender.txt
%attr(755,root,root) %{_libdir}/libXrender.so
%{_libdir}/libXrender.la
%{_includedir}/X11/extensions/Xrender.h
%{_pkgconfigdir}/xrender.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXrender.a
%changelog
* Wed Oct 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-libXrender.git;a=log;h=master

* Wed Oct 26 2022 Jakub Bogusz <qboosh@pld-linux.org> 439aac6
- updated to 0.9.11

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 223bc23
- updated to 0.9.10 (bounds checking fixes)

* Wed May 06 2015 Jakub Bogusz <qboosh@pld-linux.org> c7cb89d
- updated to 0.9.9

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 341b590
- x32 rebuild
- release 2 (by relup.sh)

* Fri Jun 14 2013 Jakub Bogusz <qboosh@pld-linux.org> d3e261c
- updated to 0.9.8 (fixes CVE-2013-1987)

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a52338
- updated to 0.9.7
- moved Xrender specs to -devel

* Sat Jun 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 40ef11d
- updated ac version

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 418a504
- up to 0.9.6

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> b195bcd
- rebuild with new libpthread-stubs
- rel 2

* Mon Oct 05 2009 Jakub Bogusz <qboosh@pld-linux.org> d5f13e1
- updated util-macros version
- ghost soname symlink
- added README and libXrender.txt to doc

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e86031
- up to 0.9.5

* Thu Nov 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ea6c3a
- release 2

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 2d950fc
- updated to 0.9.4

* Mon Aug 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ff140ee
- up to 0.9.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 64c1a52
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7068a37
- converted to UTF-8

* Sat Nov 25 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 857ea9c
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 97bb88e
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> ea881d3
- updated to 0.9.2

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a9f360
- up to 0.9.1

